Перейти к основному содержанию
GET
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
/
available-options
Список доступных выделенных IPs
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips/available-options \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "asn": 123,
    "country_code": "<string>",
    "ip_addresses": [
      {
        "ip": "<string>",
        "fcrdns_confirmed": false,
        "healthy": true,
        "rdns": "<string>"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Авторизации

Authorization
string
header
обязательно

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Параметры пути

account_id
string<uuid>
обязательно

Параметры запроса

asn
string | null
country_code
string | null

Ответ

id
string<uuid>
обязательно

Вариант инвентаря UUID

name
string
обязательно

Название варианта инвентаря, видимое клиенту

asn
integer | null

Номер автономной системы для опции

country_code
string | null

Код страны ISO для опции

ip_addresses
PublicDedicatedIpAddressResponse · object[]

Публичные адреса, включенные в эту опцию